/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.testbug.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
 * Restful接口--资源详情--数据传输对象：缺陷变更记录表
 * <p>
 * createdate:  2021-10-08 16:05:30  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@ApiModel(description = "缺陷变更记录表")
public class BugRecordDetailDto implements Serializable {

    /**
     * 记录id<br>
     */
    @ApiModelProperty("记录id")
    @Size(max = 50, message="记录id-recordId: 数据长度不能 > 50" )
    private String recordId;
    /**
     * 缺陷id<br>
     */
    @ApiModelProperty("缺陷id")
    @Size(max = 50, message="缺陷id-bugId: 数据长度不能 > 50" )
    private String bugId;
    /**
     * 变更字段<br>
     */
    @ApiModelProperty("变更字段")
    @Size(max = 50, message="变更字段-recordField: 数据长度不能 > 50" )
    private String recordField;
    /**
     * 变更值<br>
     */
    @ApiModelProperty("变更值")
    @Size(max = 300, message="变更值-recordValue: 数据长度不能 > 300" )
    private String recordValue;
    /**
     * 创建人<br>
     */
    @ApiModelProperty("创建人")
    @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
    private String createdBy;
    /**
     * 变更人<br>
     */
    @ApiModelProperty("变更人")
    @Size(max = 32, message="变更人-updatedBy: 数据长度不能 > 32" )
    private String updatedBy;
    /**
     * 租户id<br>
     */
    @ApiModelProperty("租户id")
    @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
    private String tenantId;

    @ApiModelProperty("变更人姓名")
    private String updatedByName;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;

    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;

    public String getRecordId() {
        return recordId;
    }

    public void setRecordId(String recordId) {
        this.recordId = recordId;
    }

    public String getBugId() {
        return bugId;
    }

    public void setBugId(String bugId) {
        this.bugId = bugId;
    }

    public String getRecordField() {
        return recordField;
    }

    public void setRecordField(String recordField) {
        this.recordField = recordField;
    }

    public String getRecordValue() {
        return recordValue;
    }

    public void setRecordValue(String recordValue) {
        this.recordValue = recordValue;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getUpdatedByName() {
        return updatedByName;
    }

    public void setUpdatedByName(String updatedByName) {
        this.updatedByName = updatedByName;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }
}